Subject: [PWE3] Re: WG Last Call: draft-ietf-l2vpn-ipls-05.txt

From: Jixiong Dong <[email-masked]>
Date: Fri, 13 Jan 2006 10:11:30 +0800

Stewart,

IMO, As you indicated, it is the time to start the study work on how to transport
the multicast traffic over the PW.
In PSN network, each layer has its own multicast technology in control plane.
In IP, the multicast technology is IGMP. In ethernet, the multicast technology is 
IGMP snooping/GMRP/native. In MPLS, mpls folks are working hard on
multicast LSP. So I think PWE3 folks should consider pw's multicast technology.
And L2VPN can use the PW multicast technology.IMO, L2VPN is not very efficient
when transporting multicast traffic or broadcast/flooding traffic.

Regards,
Dong

----- Original Message ----- 
From: "Stewart Bryant" <[email-masked]>
To: "Shane Amante" <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, January 12, 2006 8:37 PM
Subject: Re: WG Last Call: draft-ietf-l2vpn-ipls-05.txt

>         
>      3. Pseudowires for Multicast Traffic:  In addition, every PE 
>         supporting a given IPLS instance will set up a special 
>         "broadcast pseudowire" to every other PE in that IPLS instance.
> 
> SB> Is there any intention to use PSN multicast techniques here (either
> SB> now or in the future?
>  
> 
>  
<snipped>  

> 6.0 Pseudowire Creation 
>  
> 6.1 Receive Unicast Multipoint-to-point Pseudowire 
>     
>    As the PE discovers each locally attached CE, a unicast multipoint-
>    to-point pseudowire (mp2p PW) associated exclusively with that CE is 
>    created by distributing the CE's IP address and MAC address along 
>    with a PW-Label to all the remote PE peers that participate in the 
>    same IPLS instance. Note that the same value of a PW-label SHOULD be 
>    distributed to all the remote PE peers for a given CE. The mp2p PW 
>    thus created is used by remote PEs to send unicast IP traffic to a 
>    specific CE.  
>     
>    (The same functionality can be provided by a set of point-to-point 
>    PWs, and the PE is not required to send the same PW-label to all the    
>    other PEs.  For convenience, however, we will use the term mp2p PWs, 
>    which may be implemented using a set of point-to-point PWs.) 
> 
> SB> Do we need to start work on mp PWs over in PWE3?
>                                                            
<snipped>

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3